SBT:: scala-complier is not used

I have an SBT project, and when I view the Project Structure, it indicates "Library 'SBT:: scala-compiler:2.10.2' is not used." This is the compiler I have selected in the compiler facet as the "Compiler library" (and was the default when I imported the project. If I let it fix the error (by removing the library), the project no longer compiles (unsuprisingly complaining that it cannot find its compiler). This error isn't hurting anything, but I'd like to understand it and remove it if I can.

-Rob

1 comment
Comment actions Permalink

That message is an artifact of the legacy project configuration UI (only module dependencies are counted as library usages). A brand new architecture is cooming soon :) Just igonre that "unused" warning for now.

0

Please sign in to leave a comment.